<?php

/** @var \Laravel\Lumen\Routing\Router $router */

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$router->get('/', function () use ($router) {
    return $router->app->version();
});

$router->group(['prefix' => 'api' ], function () use ($router) {
    $router->post('login', 'CommonController@login');

    //Students Master
    $router->group(['prefix' => 'students'], function () use ($router) {
        $router->get('all', 'StudentsController@get_all');
        $router->get('view/{id}', 'StudentsController@get_by_id');
        $router->get('count', 'StudentsController@get_count');
        $router->get('get-attendance/{sId}', 'StudentsController@get_attendance');
        $router->get('get-works/{id}', 'StudentsController@get_works');
        $router->get('get-last-performance/{sId}', 'StudentsController@get_last_performamce');
        $router->post('search', 'StudentsController@search');
        $router->get('prediction/{id}', 'StudentsController@getPredictedData');
    });

    $router->group(['prefix' => 'quiz'], function () use ($router) {
        $router->get('all', 'QuizController@get_all');
        $router->get('view/{id}', 'QuizController@get_by_id');
        $router->get('get-players-count', 'QuizController@get_players_count');
        $router->get('get-quiz-count', 'QuizController@get_quiz_count');
        $router->get('get-avg-time', 'QuizController@get_avg_time');
        $router->get('help-needed-students', 'QuizController@help_needed_students');
        $router->get('difficult-quiz', 'QuizController@difficult_quiz');
        $router->get('activity-master', 'QuizController@getActivityMaster');
        $router->get('activity-master/{id}', 'QuizController@getActivityMasterById');
        $router->get('completed/{id}', 'QuizController@getCompletedStudents');
        $router->get('rankings/{id}', 'QuizController@getRankings');

        $router->get('lowStudents/{id}', 'QuizController@getLowStudents');
        $router->get('diffquiz/{id}', 'QuizController@getDiffQuiz');
    });

    $router->group(['prefix' => 'common'], function () use ($router) {
        $router->get('activities/count', 'CommonController@getActivityCount');
        $router->get('comments/count', 'CommonController@getCommentCount');
        $router->get('activity/chart', 'CommonController@getActivityChatData');
    });
});
    