import Vue from "vue";
import Router from "vue-router";

Vue.use(Router);


export default new Router({
    mode: "history",
    routes: [
        {
            path: "/login",
            component: () => import("@/view/pages/Login"),
        },
        {
            path: "/",
            redirect: "/dashboard",
            component: () => import("@/view/layout/Base"),
            children: [
            {
                path: "/dashboard",
                name: "dashboard",
                component: () => import("@/view/pages/Dashboard.vue")
            },
            {
                path: "/student",
                redirect: "/student/analytics",
            },
            {
                path: "/student/analytics",
                name: "StudentAnalytics",
                component: () => import("@/view/pages/Student.vue"),
            },
            {
                path: "/student/profile/:id",
                name: "StudentProfile",
                component: () => import("@/view/pages/StudentProfile.vue"),
            },
            {
                path: "/activity",
                name: "Activity",
                component: () => import("@/view/pages/Activity.vue"),
            },
            {
                path: "/activity/analytics/:id",
                name: "ActivityAnalytics",
                component: () => import("@/view/pages/ActivityAnalytics.vue"),
            },
            {
                path: "/reports",
                name: "Reports",
                component: () => import("@/view/pages/Reports.vue"),
            },
            
            ]
        }
    ]
});